package tree;
public class Store extends Tree {
   public Designator left;          // Child
   public Expression right;         // Child
   public sym.TypeSy type;          // Symbol table reference

   public Store(sym.TypeSy type, Designator left, Expression right, int position) {
       super(position);
       this.left = left; this.right = right; this.type = type;
   }

   public String toString(int indent) {
       return toString(indent, this, 
                        new Tree[]{left,right}, 
                        new String[]{"type"}, new sym.Symbol[]{type},
                        new String[]{}, new String[]{}, 
                        position);
   }
}

